# coding: utf8
"""
Module de validation.

Fichier : ok_m.py
auteur : Bob
"""

# définition de foncion ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def ok(message) :
	"""Retourne True si on saisit <Entrée>, <O>, <o>, <Y> ou <y>,
	False dans tous les autres cas."""
	s = input(message + " (O/n) ? ")
	return True if s == "" or s[0] in "OoYy" else False

# Auto-test ====================================================================
if __name__ == '__main__' :
	while True:
		if ok("Encore"):
			print("Je continue")
		else:
			print("Je m'arrête")
			break
